aboutsummaryrefslogtreecommitdiffstats
path: root/sys/linux
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2017-09-13 16:13:38 +0200
committerDmitry Vyukov <dvyukov@google.com>2017-09-15 16:02:37 +0200
commitb16ba6390d6b2731bf5cfa0ef04aa1299b7306cf (patch)
tree85befaf31dffaf414b12241ff53f5c08a9dc4187 /sys/linux
parent2119c289682bbbb5fb18049865b43d785e624713 (diff)
sys/syz-extract: parallelize over files
Diffstat (limited to 'sys/linux')
-rwxr-xr-xsys/linux/extract.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/sys/linux/extract.sh b/sys/linux/extract.sh
index ed46356ad..2eb7dd2a6 100755
--- a/sys/linux/extract.sh
+++ b/sys/linux/extract.sh
@@ -56,13 +56,10 @@ generate_arch() {
echo "$OUT"
exit 1
fi
- for F in $FILES; do
- echo "extracting from $F"
- bin/syz-extract -arch $1 -linux "$LINUX" -linuxbld "$LINUXBLD" "sys/linux/$F"
- if [ $? -ne 0 ]; then
- exit 1
- fi
- done
+ (cd sys/linux; ../../bin/syz-extract -arch $1 -linux "$LINUX" -linuxbld "$LINUXBLD" $FILES)
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
echo
}